Package org.apache.tools.ant.taskdefs.optional.net

# Class FTPTaskMirrorImpl.FTPDirectoryScanner.AntFTPRootFile

java.lang.Object
org.apache.tools.ant.taskdefs.optional.net.FTPTaskMirrorImpl.FTPDirectoryScanner.AntFTPFile
org.apache.tools.ant.taskdefs.optional.net.FTPTaskMirrorImpl.FTPDirectoryScanner.AntFTPRootFile

Enclosing class:
  FTPTaskMirrorImpl.FTPDirectoryScanner

    protected class FTPTaskMirrorImpl.FTPDirectoryScanner.AntFTPRootFile
    extends FTPTaskMirrorImpl.FTPDirectoryScanner.AntFTPFile

special class to represent the remote directory itself

Since:
  Ant 1.6

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AntFTPRootFile​(org.apache.commons.net.ftp.FTPClient aclient, java.lang.String remotedir)` | constructor

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAbsolutePath()` | find the absolute path
  `java.lang.String` | `getRelativePath()` | find out the relative path to root

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.net.FTPTaskMirrorImpl.FTPDirectoryScanner.AntFTPFile

  `exists, getClient, getCurpwd, getCurpwdPlusFileSep, getFastRelativePath, getFile, getLink, getName, isDirectory, isSymbolicLink, isTraverseSymlinks, setCurpwd, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AntFTPRootFile

    public AntFTPRootFile​(org.apache.commons.net.ftp.FTPClient aclient, java.lang.String remotedir)
    constructor
    Parameters:
      `aclient` - FTP client
      `remotedir` - remote directory

- ## Method Details

  - ### getAbsolutePath

    public java.lang.String getAbsolutePath()
    find the absolute path
    Overrides:
      `getAbsolutePath` in class `FTPTaskMirrorImpl.FTPDirectoryScanner.AntFTPFile`
    Returns:
      absolute path

  - ### getRelativePath

    public java.lang.String getRelativePath() throws BuildException, java.io.IOException
    find out the relative path to root
    Overrides:
      `getRelativePath` in class `FTPTaskMirrorImpl.FTPDirectoryScanner.AntFTPFile`
    Returns:
      empty string
    Throws:
      `BuildException` - actually never
      `java.io.IOException` - actually never